org.apache.commons.math3.optim.linear

## Class NoFeasibleSolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.optim.linear.NoFeasibleSolutionException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NoFeasibleSolutionException
    extends MathIllegalStateException

This class represents exceptions thrown by optimizers when no solution fulfills the constraints.

Since:
  2.0
Version:
  $Id: NoFeasibleSolutionException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier.

### Constructor Summary

Constructors
Constructor and Description
`NoFeasibleSolutionException()` Simple constructor using a default message.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier.

See Also:
  Constant Field Values

### Constructor Detail

#### NoFeasibleSolutionException

    public NoFeasibleSolutionException()

Simple constructor using a default message.